openSUSE-SU-2021:1440-1: moderate: Security update for util-linux

openSUSE Security Update: Security update for util-linux ______________________________________________________________________________ Announcement ID: openSUSE-SU-2021:1440-1 Rating: moderate References: #1122417 #1125886 #1178236 #1188921 Cross-References: CVE-2021-37600 CVSS scores: CVE-2021-37600 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVE-2021-37600 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H Affected Products: openSUSE Leap 15.2 ______________________________________________________________________________ An update that solves one vulnerability and has three fixes is now available. Description: This update for util-linux fixes the following issues: Update to version 2.33.2 to provide seamless update from SLE12 SP5 to SLE15 SP2: - CVE-2021-37600: Fixed an integer overflow which could lead to a buffer overflow in get_sem_elements() in sys-utils/ipcutils.c (bsc#1188921). - agetty: Fix 8-bit processing in get_logname() (bsc#1125886). - mount: Fix “mount” output for net file systems (bsc#1122417). - ipcs: Avoid overflows (bsc#1178236) This update was imported from the SUSE:SLE-15-SP1:Update update project. Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”. Alternatively you can run the command listed for your product: - openSUSE Leap 15.2: zypper in -t patch openSUSE-2021-1440=1 Package List: - openSUSE Leap 15.2 (i586 x86_64): libblkid-devel-2.33.2-lp152.5.9.1 libblkid-devel-static-2.33.2-lp152.5.9.1 libblkid1-2.33.2-lp152.5.9.1 libblkid1-debuginfo-2.33.2-lp152.5.9.1 libfdisk-devel-2.33.2-lp152.5.9.1 libfdisk-devel-static-2.33.2-lp152.5.9.1 libfdisk1-2.33.2-lp152.5.9.1 libfdisk1-debuginfo-2.33.2-lp152.5.9.1 libmount-devel-2.33.2-lp152.5.9.1 libmount-devel-static-2.33.2-lp152.5.9.1 libmount1-2.33.2-lp152.5.9.1 libmount1-debuginfo-2.33.2-lp152.5.9.1 libsmartcols-devel-2.33.2-lp152.5.9.1 libsmartcols-devel-static-2.33.2-lp152.5.9.1 libsmartcols1-2.33.2-lp152.5.9.1 libsmartcols1-debuginfo-2.33.2-lp152.5.9.1 libuuid-devel-2.33.2-lp152.5.9.1 libuuid-devel-static-2.33.2-lp152.5.9.1 libuuid1-2.33.2-lp152.5.9.1 libuuid1-debuginfo-2.33.2-lp152.5.9.1 util-linux-2.33.2-lp152.5.9.1 util-linux-debuginfo-2.33.2-lp152.5.9.1 util-linux-debugsource-2.33.2-lp152.5.9.1 util-linux-systemd-2.33.2-lp152.5.9.1 util-linux-systemd-debuginfo-2.33.2-lp152.5.9.1 util-linux-systemd-debugsource-2.33.2-lp152.5.9.1 uuidd-2.33.2-lp152.5.9.1 uuidd-debuginfo-2.33.2-lp152.5.9.1 - openSUSE Leap 15.2 (noarch): util-linux-lang-2.33.2-lp152.5.9.1 - openSUSE Leap 15.2 (x86_64): libblkid-devel-32bit-2.33.2-lp152.5.9.1 libblkid1-32bit-2.33.2-lp152.5.9.1 libblkid1-32bit-debuginfo-2.33.2-lp152.5.9.1 libmount-devel-32bit-2.33.2-lp152.5.9.1 libmount1-32bit-2.33.2-lp152.5.9.1 libmount1-32bit-debuginfo-2.33.2-lp152.5.9.1 libuuid-devel-32bit-2.33.2-lp152.5.9.1 libuuid1-32bit-2.33.2-lp152.5.9.1 libuuid1-32bit-debuginfo-2.33.2-lp152.5.9.1 python3-libmount-2.33.2-lp152.5.9.1 python3-libmount-debuginfo-2.33.2-lp152.5.9.1 python3-libmount-debugsource-2.33.2-lp152.5.9.1 References: https://www.suse.com/security/cve/CVE-2021-37600.html https://bugzilla.suse.com/1122417 https://bugzilla.suse.com/1125886 https://bugzilla.suse.com/1178236 https://bugzilla.suse.com/1188921

More…